Subject: TTL field for the labels in a stack other than the TOS

From: "Singh, Sukhbinder Takhar" <[email-masked]>
Date: Tue, 23 Jan 2001 11:09:19 -0800

When a pcket gets labeled first time with a label stack, does the TTL field
of the rest of the labels(other than the TOS)  in the stack matter and
should be set TTL field of the incoming IP packet or only the TTL field in
the Label on the TOS should be set as the TTL field in the IP packet.?

thanks in advance
sukhbinder

---

From: Bora Akyol <[email-masked]>
Date: Tue, 23 Jan 2001 11:37:41 -0800

This depends on the implementation, here are a few options that
we support:

1) Copy the TTL after decrementing it once when you are doing a
push onto a packet. This show up as a non-transparent tunnel in
a traceroute.

2) Copy a TTL value of "M" (where M is usually 255, but
programmable) onto to the topmost label. This shows up as a
completely transparent tunnel. In this case, make sure that the
packet is decremented once at the ingress of the tunnel and once
at the egress of the tunnel.

You may want to review Ron Bonica's draft on generic traceroute.

Bora

>>>>> "Singh," == Singh, Sukhbinder Takhar <[email-masked]> writes:

    Singh,> When a pcket gets labeled first time with a label
    Singh,> stack, does the TTL field of the rest of the
    Singh,> labels(other than the TOS) in the stack matter and
    Singh,> should be set TTL field of the incoming IP packet or
    Singh,> only the TTL field in the Label on the TOS should be
    Singh,> set as the TTL field in the IP packet.?

    Singh,> thanks in advance sukhbinder